function checkvalue()
{
if(checkspace(document.getElementById("title").value)) {
	document.getElementById("title").focus();
    alert("请输入网站名称！");
	return false;
	}

if(checkspace(document.getElementById("url").value)||document.getElementById("url").value=='http://') {
	document.getElementById("url").focus();
    alert("请输入网站网址！");
	return false;
	}

if(document.getElementById("QuestionNum").value<=0||document.getElementById("QuestionNum").value>5) {
	document.getElementById("QuestionNum").focus();
    alert("请设置1~5个问题！");
	return false;
	}

if(checkspace(document.getElementById("fangan").value)) {
	document.getElementById("fangan").focus();
    alert("请选择问答方案");
	return false;
	}

if(checkspace(document.getElementById("cpd").value)) {
	document.getElementById("cpd").focus();
    alert("请输入每天问答的最大次数限制,填0表示无限制");
	return false;
	}

//if(document.getElementById("dnum")!=null){
////	if(document.getElementById("dnum").value<1000) {
//	if(checkspace(document.getElementById("dnum").value) ){
//	//if(checkspace(document.getElementById("dnum").value) || document.getElementById("dnum").value<<%=ask_lnum%> ) {
//		document.getElementById("dnum").focus();
//	    alert("请输入发布广告的数量!!");
//		return false;
//		}
//	}
	
//检测问题
return checka1();
}

//检测问题1///////////////////////////////////////////////
function checka1()
{
if(checkspace(document.getElementById("question_1").value)) {
	document.getElementById("question_1").focus();
    alert("请输入问题 1 ！");
	return false;
	}
if(checkspace(document.getElementById("url_1").value)) {
	document.getElementById("url_1").focus();
    alert("请输入问题 1 的寻找答案网址！");
	return false;
	}
if(checkspace(document.getElementById("Answer1_1").value)) {
	document.getElementById("Answer1_1").focus();
    alert("请输入第 1 个问题的第 1 个答案！");
	return false;
	}
if(checkspace(document.getElementById("Answer2_1").value)) {
	document.getElementById("Answer2_1").focus();
    alert("请输入第 1 个问题的第 2 个答案！");
	return false;
	}
if(checkspace(document.getElementById("Answer3_1").value)) {
	document.getElementById("Answer3_1").focus();
    alert("请输入第 1 个问题的第 3 个答案！");
	return false;
	}
if(checkspace(document.getElementById("Answer4_1").value)) {
	document.getElementById("Answer4_1").focus();
    alert("请输入第 1 个问题的第 4 个答案！");
	return false;
	}
if((!document.getElementById("QRight1_1").checked)&&(!document.getElementById("QRight2_1").checked)&&(!document.getElementById("QRight3_1").checked)&&(!document.getElementById("QRight4_1").checked)) {
    alert("第 1 个问题 请至少设置 1 个正确答案！");
	return false;
	}
if (document.getElementById("QuestionNum").value>1){
	return checka2();
	}
}
//////////////////////////////////////////////////////////
//检测问题2///////////////////////////////////////////////
function checka2()
{
if(checkspace(document.getElementById("question_2").value)) {
	document.getElementById("question_2").focus();
    alert("请输入问题 2 ！");
	return false;
	}
if(checkspace(document.getElementById("url_2").value)) {
	document.getElementById("url_2").focus();
    alert("请输入问题 2 的寻找答案网址！");
	return false;
	}
if(checkspace(document.getElementById("Answer1_2").value)) {
	document.getElementById("Answer1_2").focus();
    alert("请输入第 2 个问题的第 1 个答案！");
	return false;
	}
if(checkspace(document.getElementById("Answer2_2").value)) {
	document.getElementById("Answer2_2").focus();
    alert("请输入第 2 个问题的第 2 个答案！");
	return false;
	}
if(checkspace(document.getElementById("Answer3_2").value)) {
	document.getElementById("Answer3_2").focus();
    alert("请输入第 2 个问题的第 3 个答案！");
	return false;
	}
if(checkspace(document.getElementById("Answer4_2").value)) {
	document.getElementById("Answer4_2").focus();
    alert("请输入第 2 个问题的第 4 个答案！");
	return false;
	}
if((!document.getElementById("QRight1_2").checked)&&(!document.getElementById("QRight2_2").checked)&&(!document.getElementById("QRight3_2").checked)&&(!document.getElementById("QRight4_2").checked)) {
    alert("第 2 个问题 请至少设置 1 个正确答案！");
	return false;
	}
if (document.getElementById("QuestionNum").value>2){
	return checka3();
	}
}
//////////////////////////////////////////////////////////
//检测问题3///////////////////////////////////////////////
function checka3()
{
if(checkspace(document.getElementById("question_3").value)) {
	document.getElementById("question_3").focus();
    alert("请输入问题 3 ！");
	return false;
	}
if(checkspace(document.getElementById("url_3").value)) {
	document.getElementById("url_3").focus();
    alert("请输入问题 3 的寻找答案网址！");
	return false;
	}
if(checkspace(document.getElementById("Answer1_3").value)) {
	document.getElementById("Answer1_3").focus();
    alert("请输入第 3 个问题的第 1 个答案！");
	return false;
	}
if(checkspace(document.getElementById("Answer2_3").value)) {
	document.getElementById("Answer2_3").focus();
    alert("请输入第 3 个问题的第 2 个答案！");
	return false;
	}
if(checkspace(document.getElementById("Answer3_3").value)) {
	document.getElementById("Answer3_3").focus();
    alert("请输入第 3 个问题的第 3 个答案！");
	return false;
	}
if(checkspace(document.getElementById("Answer4_3").value)) {
	document.getElementById("Answer4_3").focus();
    alert("请输入第 3 个问题的第 4 个答案！");
	return false;
	}
if((!document.getElementById("QRight1_3").checked)&&(!document.getElementById("QRight2_3").checked)&&(!document.getElementById("QRight3_3").checked)&&(!document.getElementById("QRight4_3").checked)) {
    alert("第 3 个问题 请至少设置 1 个正确答案！");
	return false;
	}
if (document.getElementById("QuestionNum").value>3){
	return checka4();
	}
}
//////////////////////////////////////////////////////////
//检测问题4///////////////////////////////////////////////
function checka4()
{
if(checkspace(document.getElementById("question_4").value)) {
	document.getElementById("question_4").focus();
    alert("请输入问题 4 ！");
	return false;
	}
if(checkspace(document.getElementById("url_4").value)) {
	document.getElementById("url_4").focus();
    alert("请输入问题 4 的寻找答案网址！");
	return false;
	}
if(checkspace(document.getElementById("Answer1_4").value)) {
	document.getElementById("Answer1_4").focus();
    alert("请输入第 4 个问题的第 1 个答案！");
	return false;
	}
if(checkspace(document.getElementById("Answer2_4").value)) {
	document.getElementById("Answer2_4").focus();
    alert("请输入第 4 个问题的第 2 个答案！");
	return false;
	}
if(checkspace(document.getElementById("Answer3_4").value)) {
	document.getElementById("Answer3_4").focus();
    alert("请输入第 4 个问题的第 3 个答案！");
	return false;
	}
if(checkspace(document.getElementById("Answer4_4").value)) {
	document.getElementById("Answer4_4").focus();
    alert("请输入第 4 个问题的第 4 个答案！");
	return false;
	}
if((!document.getElementById("QRight1_4").checked)&&(!document.getElementById("QRight2_4").checked)&&(!document.getElementById("QRight3_4").checked)&&(!document.getElementById("QRight4_4").checked)) {
    alert("第 4 个问题 请至少设置 1 个正确答案！");
	return false;
	}
if (document.getElementById("QuestionNum").value>4){
	return checka5();
	}
}
//////////////////////////////////////////////////////////
//检测问题5///////////////////////////////////////////////
function checka5()
{
if(checkspace(document.getElementById("question_5").value)) {
	document.getElementById("question_5").focus();
    alert("请输入问题 5 ！");
	return false;
	}
if(checkspace(document.getElementById("url_5").value)) {
	document.getElementById("url_5").focus();
    alert("请输入问题 5 的寻找答案网址！");
	return false;
	}
if(checkspace(document.getElementById("Answer1_5").value)) {
	document.getElementById("Answer1_5").focus();
    alert("请输入第 5 个问题的第 1 个答案！");
	return false;
	}
if(checkspace(document.getElementById("Answer2_5").value)) {
	document.getElementById("Answer2_5").focus();
    alert("请输入第 5 个问题的第 2 个答案！");
	return false;
	}
if(checkspace(document.getElementById("Answer3_5").value)) {
	document.getElementById("Answer3_5").focus();
    alert("请输入第 5 个问题的第 3 个答案！");
	return false;
	}
if(checkspace(document.getElementById("Answer4_5").value)) {
	document.getElementById("Answer4_5").focus();
    alert("请输入第 5 个问题的第 4 个答案！");
	return false;
	}
if((!document.getElementById("QRight1_5").checked)&&(!document.getElementById("QRight2_5").checked)&&(!document.getElementById("QRight3_5").checked)&&(!document.getElementById("QRight4_5").checked)) {
    alert("第 5 个问题 请至少设置 1 个正确答案！");
	return false;
	}
}
//////////////////////////////////////////////////////////

function checkspace(checkstr) {
  var str = '';
  for(i = 0; i < checkstr.length; i++) {
    str = str + ' ';
  }
  return (str == checkstr);
}